    PrefabFiles =
{
	"dragonfly_furnace"
}

    Assets =
{
	Asset( "ATLAS", "images/inventoryimages/dragonfly_furnace.xml"),
	Asset( "IMAGE", "images/inventoryimages/dragonfly_furnace.tex"),
	Asset( "ATLAS", "minimap/dragonfly_furnace.xml" ),
	Asset( "IMAGE", "minimap/dragonfly_furnace.tex" ),
}
    AddMinimapAtlas("minimap/dragonfly_furnace.xml")

local STRINGS = GLOBAL.STRINGS
local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local Ingredient = GLOBAL.Ingredient
local TECH = GLOBAL.TECH

GLOBAL.STRINGS.NAMES.DRAGONFLY_FURNACE = "Scaled Furnace"
STRINGS.RECIPE_DESC.DRAGONFLY_FURNACE = "Nice!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.DRAGONFLY_FURNACE = "Should Do Nicely"

local Easy = (GetModConfigData("furnace_recipe")=="easy")

local function AddModRecipe(name, ingredients, tab, techlevel, gametype, placer, min_spacing, nounlock, numtogive, aquatic, distance)
    if GLOBAL.CAPY_DLC and GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC) then
    return GLOBAL.Recipe(name, ingredients, tab, techlevel, gametype, placer, min_spacing, nounlock, numtogive, aquatic, distance)
    else
    return GLOBAL.Recipe(name, ingredients, tab, techlevel, placer, min_spacing, nounlock, numtogive)
    end
end

    if Easy then
	local dragonfly_furnace = AddModRecipe("dragonfly_furnace",
{
	Ingredient("redgem", 1),
	Ingredient("charcoal", 5),
	Ingredient("dragon_scales", 1),
},
	RECIPETABS.TOWN, TECH.NONE, common, "dragonfly_furnace_placer" )
	dragonfly_furnace.atlas = "images/inventoryimages/dragonfly_furnace.xml"
    else
	local dragonfly_furnace = AddModRecipe("dragonfly_furnace",
{
	Ingredient("redgem", 2),
	Ingredient("charcoal", 10),
	Ingredient("dragon_scales", 1),
},
	RECIPETABS.TOWN, TECH.NONE, common, "dragonfly_furnace_placer" )
	dragonfly_furnace.atlas = "images/inventoryimages/dragonfly_furnace.xml"
end



